/* 
 * File:   nautilus-metadata.h
 * Author: yelo3
 *
 * Created on 6 luglio 2008, 13.29
 */

#ifndef _NAUTILUS_METADATA_H
#define	_NAUTILUS_METADATA_H

#ifdef	__cplusplus
extern "C" {
#endif

/* gobject attribute to metadata struct */
#define FILE_HAS_METADATA "FILE_HAS_METADATA"

/* common tags for audio/video */
#define MEDIA_DURATION_ATTRIBUTE "TOTEM_INFO_DURATION"
#define MEDIA_ARTIST_ATTRIBUTE "TOTEM_INFO_ARTIST"
#define MEDIA_TITLE_ATTRIBUTE "TOTEM_INFO_TITLE"
#define MEDIA_ALBUM_ATTRIBUTE "TOTEM_INFO_ALBUM"
#define MEDIA_YEAR_ATTRIBUTE "TOTEM_INFO_YEAR"
#define MEDIA_TRACK_NUMBER_ATTRIBUTE "TOTEM_INFO_TRACK_NUMBER"

/* audio tags */
#define MEDIA_AUDIO_BITRATE_ATTRIBUTE "TOTEM_INFO_AUDIO_BITRATE"
#define MEDIA_AUDIO_CODEC_ATTRIBUTE "TOTEM_INFO_AUDIO_CODEC"
#define MEDIA_AUDIO_SAMPLE_RATE_ATTRIBUTE "TOTEM_INFO_AUDIO_SAMPLE_RATE"
#define MEDIA_AUDIO_CHANNELS_ATTRIBUTE "TOTEM_INFO_AUDIO_CHANNELS"

/* video tags */
#define MEDIA_VIDEO_RESOLUTION_ATTRIBUTE "TOTEM_RESOLUTION"
#define MEDIA_VIDEO_CODEC_ATTRIBUTE "TOTEM_INFO_VIDEO_CODEC"
#define MEDIA_VIDEO_FPS_ATTRIBUTE "TOTEM_INFO_FPS"
#define MEDIA_VIDEO_BITRATE_ATTRIBUTE "TOTEM_INFO_VIDEO_BITRATE"
    /*not used because we use MEDIA_VIDEO_RESOLUTION_ATTRIBUTE */
#define MEDIA_VIDEO_RES_X "TOTEM_INFO_VIDEO_WIDTH"
#define MEDIA_VIDEO_RES_Y "TOTEM_INFO_VIDEO_HEIGHT"
    
/* attribute array */
char* media_attributes_provided[] = {
    MEDIA_DURATION_ATTRIBUTE,
    MEDIA_ARTIST_ATTRIBUTE,
    MEDIA_TITLE_ATTRIBUTE,
    MEDIA_ALBUM_ATTRIBUTE,
    MEDIA_YEAR_ATTRIBUTE,
    MEDIA_TRACK_NUMBER_ATTRIBUTE,
    MEDIA_AUDIO_BITRATE_ATTRIBUTE,
    MEDIA_AUDIO_CODEC_ATTRIBUTE,
    MEDIA_AUDIO_SAMPLE_RATE_ATTRIBUTE,
    MEDIA_AUDIO_CHANNELS_ATTRIBUTE,
    MEDIA_VIDEO_RESOLUTION_ATTRIBUTE,
    MEDIA_VIDEO_CODEC_ATTRIBUTE,
    MEDIA_VIDEO_FPS_ATTRIBUTE,
    MEDIA_VIDEO_BITRATE_ATTRIBUTE,
};

#define NAUTILUS_GCONF_ICON_VIEW_KEY "/apps/nautilus/icon_view/captions"
#define NAUTILUS_GCONF_LIST_VIEW_KEY "/apps/nautilus/list_view/default_visible_columns"

#ifdef	__cplusplus
}
#endif

#endif	/* _NAUTILUS_METADATA_H */

